X <- read.table(file="es1.dati.txt")

n <- dim(X)[1]
k <- dim(X)[2]

# "centro" la matrice di dati X
X <- transform(X, V1=V1-mean(V1), V2=V2-mean(V2))

# calcolo la matrice di covarianza
# ATTENZIONE: R calcola la varianza e covarianza corrette
SIGMA <- cov(X)
SIGMA <- SIGMA*(n-1)/n

# trovo autovalori e autovettori di SIGMA
autotutto <- eigen(SIGMA)

# mi servono l'autovalore pi grande e
# l'autovettore corrispondente
# ATTENZIONE: l'autovettore deve essere normalizzato
lambda <- autotutto$values
avett1 <- autotutto$vectors[,1]
avett1 <- avett1/sum(avett1^2)

# troviamo le coordinate rispetto alla nuova variabile
compprinc <- X$V1 * avett1[1] + X$V2 * avett1[2]

# la retta su cui proietto passa per l'origine e per avett
intercetta <- 0
coeffang <- avett1[2]/avett1[1]

plot(X, xlim=range(X), ylim=range(X), xlab="", ylab="", pch=19)
abline(a=intercetta, b=coeffang)
title("Prima componente principale")

# confronto con le proiezioni fatte prima
win.graph()
plot(X[,1], X[,1]*0-1, xlim=range(X), ylim=range(X),
        xlab="", ylab="", yaxt="n", pch=19)
abline(h=-1)
text(x=0, y=-0.8, labels="asse orizzontale")
title("Confronto tra le proiezioni sugli assi e sulla componente principale")

points(X[,2], X[,2]*0+1, pch=19)
abline(h=1)
text(x=0, y=1.2, labels="asse verticale")

points(compprinc, compprinc*0, pch=19)
abline(h=0)
text(x=0, y=0.2, labels="componente principale")
