media <- c(0,0)
sigmax <- 1
sigmay <- 0.4
sigmaxy <- sigmax*sigmay*0.85


covarianza <- matrix(c(sigmax^2, sigmaxy, sigmaxy, sigmay^2), nrow=2, ncol=2)

library(MASS)
X <- mvrnorm(20, mu=media, Sigma=covarianza)

ascisse <- X[,1]
ordinate <- X[,2]

plot(ascisse, ordinate, xlim=range(X), ylim=range(X), xlab="", ylab="", pch=19)
title("Unit: 20 punti in R2")

win.graph()
plot(ascisse, ordinate, xlim=range(X), ylim=range(X), xlab="", ylab="", pch=19)
title("Proiezione su una retta verticale")
abline(v=0)
segments(ascisse, ordinate, ascisse*0, ordinate)

win.graph()
plot(ascisse, ordinate, xlim=range(X), ylim=range(X), xlab="", ylab="", pch=19)
title("Proiezione su una retta orizzontale")
abline(h=0)
segments(ascisse, ordinate, ascisse, ordinate*0)

win.graph()
plot(ascisse, ordinate*0-1, xlim=range(X), ylim=range(X), xlab="", ylab="", yaxt="n", pch=19)
abline(h=-1)
text(x=0, y=-0.8, labels="orizzontale")

points(ordinate, ascisse*0+1, pch=19)
abline(h=1)
text(x=0, y=1.2, labels="verticale")

title("Confronto tra le due proiezioni")

save(file="es1.coordpunti", X)
