# leggi i dati.
# ATTENZIONE1: la prima riga da' i nomi alle variabili
# ATTENZIONE2: la prima colonna d i nomi alle unit
X <- read.table(file="europeanstat.data", header=TRUE, row.names=1)

# prima di cominciare diamo un'occhiata alle correlazioni
cor(X)

# facciamo l'ACP
# cor=TRUE perch lavoriamo con la matrice di correlazione
output <- princomp(X, cor=TRUE)

output.cov <- princomp(X, cor=F)



# vediamo quanto spiegano le componenti principali
summary(output)

# cerchiamo di interpretare le componenti principali
# guardando le correlazioni con le variabili originarie
cor(X,output$scores)
cor(X,output.cov$scores)

# rappresentiamo le unit sul piano delle prime
# due componenti principali
biplot(output)

#  un po' disordinato, quindi rifacciamo tutto
# riducendo i nomi degli stati a 3 lettere

win.graph() # serve per aprire un'altra finestra grafica
biplot(output, xlabs=substr(row.names(X), 1,3))

# qualit di rappresentazione:

# calcoliamo i cosen quadri
coord2 <- output$scores^2
sommarighe <- apply(coord2, 1, sum)
cosquadri <- apply(coord2[,1:2], 1, sum)/sommarighe
sort(cosquadri) # li ordiniamo per leggerli meglio

# la distanza rapportata alla distanza media
autovalori <- output$sdev^2
denom <- sqrt(sum(autovalori[3:9]))
rappdist <- sqrt(apply(coord2[,3:9], 1, sum))/denom
sort(rappdist) # li ordiniamo per leggerli meglio
